## swift 2.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.12.0;python_version<'3.0'
dnspython3>=1.12.0;python_version>='3.0'
eventlet>=0.17.4  # MIT
greenlet>=0.3.1
netifaces>=0.5,!=0.10.0,!=0.10.1
pastedeploy>=1.3.3
six>=1.9.0
xattr>=0.4
PyECLib>=1.2.0                          # BSD
cryptography>=1.0,!=1.3.0               # BSD/Apache-2.0

=== debian/changelog ===
swift (2.9.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 23 Sep 2016 22:18:58 +0000

swift (2.9.0-2) experimental; urgency=medium

  * Rebased on 2.7.0-10
  * Removed doctrees from doc to make build reproducible
  * Moved swift-recon and swift-object-expirer manpages to correct binary
    packages
  * Moved swift-config cli to swift binary package

 -- Ondřej Nový <onovy@debian.org>  Wed, 21 Sep 2016 20:57:37 +0200

swift (2.9.0-1) experimental; urgency=medium

  * Rebased on 2.7.0-9
  * New upstream release
  * Changed (build) depends for new upstream release
  * Build API ref and install guide documentation
  * Added libjs-jquery, libjs-underscore and libjs-bootstrap dependency to
    swift-doc
  * Moved base documentation to "base" directory

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Jul 2016 23:15:09 +0200

swift (2.8.0-2) experimental; urgency=medium

  * Rebased on 2.7.0-7

 -- Ondřej Nový <onovy@debian.org>  Wed, 06 Jul 2016 00:35:48 +0200

swift (2.8.0-1) experimental; urgency=medium

  * New upstream release
  * Removed build depend on git, not needed anymore
  * Added missed example configs to docs
  * Use dh_installdocs -A for installing AUTHORS file

 -- Ondřej Nový <novy@ondrej.org>  Tue, 14 Jun 2016 20:23:21 +0200

swift (2.7.0-10) unstable; urgency=medium

  * Stop services first when upgrading from < 2.6.0-2 version

 -- Ondřej Nový <onovy@debian.org>  Wed, 21 Sep 2016 19:34:00 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 48~),
               python-all,
               python-pbr,
               python-setuptools (>= 20.6.8),
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-cryptography (>= 1.0),
                     python-dnspython (>= 1.12.0),
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.1),
                     python-keystoneclient (>= 1:1.3.0),
                     python-mock,
                     python-netifaces (>> 0.10.1),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openssl,
                     python-openstack.nose-plugin,
                     python-openstackdocstheme (>= 1.0.3),
                     python-os-api-ref,
                     python-os-testr (>= 0.4.1),
                     python-oslosphinx,
                     python-pastedeploy (>= 1.3.3),
                     python-pyeclib (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-xattr (>= 0.4),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swift.git
Vcs-Git: https://anonscm.debian.org/git/openstack/swift.git
Homepage: https://github.com/openstack/swift

Package: python-swift
Architecture: all
Section: python
Depends: adduser,
         python-cryptography (>= 1.0),
         python-dnspython (>= 1.12.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.1),
         python-netifaces (>> 0.10.1),
         python-openssl,
         python-pastedeploy (>= 1.3.3),
         python-pyeclib (>= 1.2.0),
         python-six (>= 1.9.0),
         python-xattr (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: swift-account (<< 2.6.0-2),
        swift-container (<< 2.6.0-2),
        swift-object (<< 2.6.0-2),
        swift-object-expirer (<< 2.6.0-2),
        swift-proxy (<< 2.6.0-2),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: logrotate,
         python-swift (=${binary:Version}),
         rsyslog,
         ${misc:Depends},
         ${python:Depends},
Replaces: python-swift (<< 2.9.0-2~),
          swift-object (<< 2.9.0-2~),
Breaks: python-swift (<< 2.9.0-2~),
        swift-object (<< 2.9.0-2~),
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-object-expirer
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Replaces: swift-object (<< 2.9.0-2~),
Breaks: swift-object (<< 2.9.0-2~),
Description: distributed virtual object store - object-expirer

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f debian/python-swift.postinst
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	PYTHONPATH=. sphinx-build api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	PYTHONPATH=. sphinx-build install-guide/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/install-guide
	rm -rf \
		debian/swift-doc/usr/share/doc/swift-doc/install-guide/search.html \
		debian/swift-doc/usr/share/doc/swift-doc/install-guide/.doctrees
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python-swift.postinst

override_dh_install:
	rm debian/tmp/usr/bin/swift-init

	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

	dh_install --fail-missing
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

gen-init-configurations:
	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done
	# TODO: Upstart

override_dh_systemd_enable: gen-init-configurations
	echo "Do nothing"

override_dh_systemd_start:
	echo "Do nothing"

override_dh_installinit: gen-init-configurations
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed -e s/.init.in// -e s:debian/::` ; \
		INITPKG=`echo $$MYINIT | cut -d. -f1` ; \
		INITNAME=`echo $$MYINIT | cut -d. -f2` ; \
		echo "Package: $$INITPKG Init: $$INITNAME" ; \
		dh_systemd_enable -p$$INITPKG --name=$$INITNAME ; \
		case $$INITNAME in \
		swift-object-expirer|swift-container-reconciler) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ;; \
		*) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ; \
			cp debian/$$INITPKG.$$INITNAME@.service debian/$$INITPKG/lib/systemd/system/$$INITNAME@.service ;; \
		esac ; \
		dh_systemd_start -p$$INITPKG --name=$$INITNAME ; \
	done

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

## swift 2.10.0

=== debian/changelog ===
swift (2.10.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 14:06:46 -0400

swift (2.9.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 08:32:18 -0400

swift (2.8.0-0ubuntu1) yakkety; urgency=medium

  * New upstream version.
  * d/p/drop-sphinx-git.patch: Dropped, no longer required.
  * d/control: Bumped Standards-Version, no changes.
  * d/swift-container.docs: Install container-sync-realms.conf sample
    configuration file (LP: #1586483).
  * d/swift-object.swift-object-reconstructor.{init|upstart},rules:
    Add init and upstart configuration files for swift-object-reconstructor
    (LP: #1522448).

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jun 2016 11:34:52 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders: Monty Taylor <mordred@inaugust.com>,
           Greg Holt <gholt@rackspace.com>,
           Jay Payne <letterj@racklabs.com>,
           Michael Barton <michael.barton@rackspace.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: libjerasure2,
                     python-cffi,
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-dnspython (>= 1.14.0),
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.1),
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.3.0),
                     python-mock (>= 1.0),
                     python-netifaces (>= 0.5),
                     python-nose,
                     python-os-testr (>= 0.4.1),
                     python-oslosphinx,
                     python-pastedeploy (>= 1.3.3),
                     python-pyeclib,
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-xattr (>= 0.4),
                     subunit (>= 0.0.18),
Standards-Version: 3.9.8
Homepage: http://launchpad.net/swift
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
XS-Testsuite: autopkgtest

Package: python-swift
Architecture: all
Section: python
Depends: adduser,
         libjerasure2,
         python-cryptography (>= 1.0),
         python-dnspython (>= 1.14.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.1),
         python-netifaces (>= 0.5),
         python-pastedeploy (>= 1.3.3),
         python-pyeclib,
         python-six (>= 1.9.0),
         python-xattr (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Suggests: swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object-expirer
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
        swift-object (<< 1.12.0-0ubuntu2),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
          swift-object (<< 1.12.0-0ubuntu2),
Description: distributed virtual object store - object expirer
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the object-expirer service that provides scheduled
 deletion of objects in Swift.

Package: swift-object
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
override_dh_auto_build:
	mkdir -p doc/build
	python setup.py build_sphinx
	python setup.py build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. nosetests test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor

override_dh_compress:
	dh_compress -Xconf-sample

## swift 2.10.1

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-dnspython>=1.12.0;python_version<'3.0'
-dnspython3>=1.12.0;python_version>='3.0'
+dnspython>=1.14.0  # http://www.dnspython.org/LICENSE
 eventlet>=0.17.4  # MIT
 greenlet>=0.3.1
 netifaces>=0.5,!=0.10.0,!=0.10.1

=== debian/changelog ===
swift (2.10.1-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Don't start rsyslog during postinst/postrm if it's stopped
  * d/tests
    - Added Python module import test
    - Added daemons test

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 03 Jan 2017 10:22:02 +0000

swift (2.10.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 15 Dec 2016 16:11:51 +0100

swift (2.10.0-3) unstable; urgency=medium

  * Run swift-drive-audit cron by root
    (needed for /var/log/kern.log reading and umount command)

 -- Ondřej Nový <onovy@debian.org>  Mon, 17 Oct 2016 14:40:10 +0200

swift (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Oct 2016 10:33:11 +0200

swift (2.10.0-1) experimental; urgency=medium

  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bump required version of dnspython to 1.14.0
  * Added missing manpages from upstream

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Sep 2016 09:43:09 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-exec,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 48~),
               python-all,
               python-pbr,
               python-setuptools (>= 20.6.8),
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-cryptography (>= 1.0),
                     python-dnspython (>= 1.14.0),
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.1),
                     python-keystoneclient (>= 1:1.3.0),
                     python-mock,
                     python-netifaces (>> 0.10.1),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openssl,
                     python-openstack.nose-plugin,
                     python-openstackdocstheme (>= 1.0.3),
                     python-os-api-ref,
                     python-os-testr (>= 0.4.1),
                     python-oslosphinx,
                     python-pastedeploy (>= 1.3.3),
                     python-pyeclib (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-xattr (>= 0.4),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-swift?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-swift -b debian/newton
Homepage: https://github.com/openstack/swift

Package: python-swift
Architecture: all
Section: python
Depends: adduser,
         python-cryptography (>= 1.0),
         python-dnspython (>= 1.14.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.1),
         python-netifaces (>> 0.10.1),
         python-openssl,
         python-pastedeploy (>= 1.3.3),
         python-pyeclib (>= 1.2.0),
         python-six (>= 1.9.0),
         python-xattr (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: swift-account (<< 2.6.0-2),
        swift-container (<< 2.6.0-2),
        swift-object (<< 2.6.0-2),
        swift-object-expirer (<< 2.6.0-2),
        swift-proxy (<< 2.6.0-2),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: logrotate,
         python-swift (=${binary:Version}),
         rsyslog,
         ${misc:Depends},
         ${python:Depends},
Replaces: python-swift (<< 2.9.0-2~),
          swift-object (<< 2.9.0-2~),
Breaks: python-swift (<< 2.9.0-2~),
        swift-object (<< 2.9.0-2~),
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-object-expirer
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Replaces: swift-object (<< 2.9.0-2~),
Breaks: swift-object (<< 2.9.0-2~),
Description: distributed virtual object store - object-expirer

=== debian/tests/control ===
Tests: help
Depends: swift-proxy,
         swift-object,
         swift-container,
         swift-account,
         swift-object-expirer,
         swift-drive-audit,

Tests: daemons
Depends: wget,
         swift-proxy,
         swift-object,
         swift-container,
         swift-account,
         swift-object-expirer,
Restrictions: needs-root

Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import swift; print swift" ; done
Depends: python-all, python-swift

## swift 2.10.2

=== debian/changelog ===
swift (2.10.2-1~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Mon, 09 Oct 2017 09:54:36 +0200

swift (2.10.2-1~deb9u1) stretch; urgency=medium

  * New upstream stable release
  * Removed patches applied upstream:
    - Quarantine_malformed_database_schema_SQLite_errors.patch
    - For_any_part_only_one_replica_can_move_in_a_rebalance.patch
    - FTBFS_i386.patch

 -- Ondřej Nový <onovy@debian.org>  Wed, 21 Jun 2017 23:16:47 +0200

swift (2.10.1-3) unstable; urgency=medium

  * d/patches/FTBFS_i386.patch: Fix FTBFS on i386 (Closes: #860638)

 -- Ondřej Nový <onovy@debian.org>  Thu, 20 Apr 2017 22:51:28 +0200

swift (2.10.1-2) unstable; urgency=medium

  * Don't start rsyslog during postinst/postrm if it's stopped
  * d/tests
    - Added Python module import test
    - Added daemons test
  * Added patches from upstream master:
    - For any part only one replica can move in a rebalance
    - Quarantine malformed database schema SQLite errors

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Jan 2017 10:05:12 +0100
